For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetCallHistory
        • POSTGetCallHistoryAsync
        • POSTGetBriefCallHistory
        • POSTGetHistoryReports
        • POSTDownloadHistoryReport
        • POSTGetTransactionHistory
        • POSTGetTransactionHistoryAsync
        • POSTDeleteRecord
        • POSTGetACDHistory
        • POSTGetAuditLog
        • POSTGetAuditLogAsync
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceHistory

GetBriefCallHistory

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetBriefCallHistory
POST
/platform_api/GetBriefCallHistory
$curl -X POST "https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25%2000%3A00%3A00&to_date=2020-02-26%2000%3A00%3A00&output=csv" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": 1,
3 "history_report_id": 234254
4}
Gets the account's brief call history in the asynchronous mode. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Support`. **Example request:** Get the brief call session history from the 2020-02-25 00:00:00 UTC to the 2020-02-26 00:00:00 UTC.
Was this page helpful?
Previous

GetCallHistoryAsync

Next

GetHistoryReports

Built with

Gets the account’s brief call history in the asynchronous mode. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details.

Allowed roles: Owner, Admin, Developer, Supervisor, Support.

Example request: Get the brief call session history from the 2020-02-25 00:00:00 UTC to the 2020-02-26 00:00:00 UTC.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

The from date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss

to_datestringRequired

The to date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss

call_session_history_idlist of integersOptional
To get the call history for the specific sessions, pass the session IDs to this parameter separated by a semicolon (;). You can find the session ID in the <a href='/docs/references/voxengine/appevents#started'>AppEvents.Started</a> event's **sessionID** property in a scenario, or retrieve it from the **call_session_history_id** value returned from the <a href='/api-reference/management-api/scenarios/reorderscenarios'>StartScenarios</a> or <a href='/api-reference/management-api/scenarios/startconference'>StartConference</a> methods
application_idintegerOptional
To receive the call history for a specific application, pass the application ID to this parameter
application_namestringOptional

The application name, can be used instead of application_id

rule_namestringOptional

To receive the call history for a specific routing rule, pass the rule name to this parameter. Applies only if you set application_id or application_name

remote_numberlist of stringsOptional

To receive a call history for a specific remote numbers, pass the number list separated by semicolons (;). A remote number is a number on the client side

local_numberlist of stringsOptional

To receive a call history for a specific local numbers, pass the number list separated by semicolons (;). A local number is a number on the platform side

call_session_history_custom_datastringOptional

To filter the call history by the custom_data passed to the call sessions, pass the custom data to this parameter

desc_orderbooleanOptionalDefaults to false
Whether to get records in the descent order
with_headerbooleanOptionalDefaults to true

Whether to get a CSV file with the column names if the output=csv

outputstringRequired

The output format. The following values available: csv.

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully
history_report_idinteger
The history report ID

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

To get the call history for the specific sessions, pass the session IDs to this parameter separated by a semicolon (;). You can find the session ID in the AppEvents.Started event’s sessionID property in a scenario, or retrieve it from the call_session_history_id value returned from the StartScenarios or StartConference methods